import * as signalR from '@microsoft/signalr';
import { getAppEnvConfig } from '@/utils/env';

const { VITE_GLOB_API_URL } = getAppEnvConfig();
export const signal = new signalR.HubConnectionBuilder()
  .withUrl(VITE_GLOB_API_URL + '/chathub')
  // .withAutomaticReconnect([0, 2000, 10000, 30000])
  // .configureLogging(signalR.LogLevel.Information)
  .build();
